<?php
require_once("../config/conexion.php");
require_once("../models/Discapacidad.php");
$discapacidad = new Discapacidad();
/*=============================================
    JAVASCRIPT
    =============================================*/
switch ($_GET["op"]) {
    case "insertarActualizar":
        if(isset($_POST["personadbk"])){
            $personadbk = $_POST["personadbk"];
        }else{
            if(isset($_POST["personadbkD"])){
                $personadbk = $_POST["personadbkD"];
            }
        }
        if($_POST["discapacidadId"] != 76){
            $_POST["porcentajeDiscapacidad"] = 0.00;
            $_POST["numCarnetConadis"] = "NA";
            $_POST["tipoDiscapacidadId"] = 89;
        }
        $datos = array( "tabla" => "discapacidad",
                        "dis_personadbk" => $personadbk,
                        "discapacidadId" => $_POST["discapacidadId"],
                        "porcentajeDiscapacidad" => $_POST["porcentajeDiscapacidad"],
                        "numCarnetConadis" => $_POST["numCarnetConadis"],
                        "tipoDiscapacidadId" => $_POST["tipoDiscapacidadId"]
                        );        
        $discapacidad->mdlInsertarActualizarDiscapacidad($datos);
        break;
    case "discapacidad":
        $datos = $discapacidad->Total_Discapacidad();
        foreach ($datos as $row) {
            $output["discapacidad"] = $row["discapacidad"];
        }
        echo json_encode($output);
        break;    
    case "grafico-discapacidad":        
        $datos = $discapacidad->GraficoDiscapacidad();
        $data = Array();
        foreach ($datos as $row) {
            $sub_array = array();
            $sub_array[] = $row["cantidad"];
            $sub_array[] = $row["descripcion"];            
            $data[] = $sub_array;
        }
        echo json_encode($data);
        break;    
    case "grafico-tipo-discapacidad":        
        $datos = $discapacidad->GraficoTipoDiscapacidad();
        $data = Array();
        foreach ($datos as $row) {
            $sub_array = array();
            $sub_array[] = $row["cantidad"];
            $sub_array[] = $row["descripcion"];            
            $data[] = $sub_array;
        }
        echo json_encode($data);
        break;          
}
?>
